aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libspectre/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'testing/libspectre/APKBUILD')
-rw-r--r--testing/libspectre/APKBUILD56
1 files changed, 56 insertions, 0 deletions
diff --git a/testing/libspectre/APKBUILD b/testing/libspectre/APKBUILD
new file mode 100644
index 0000000000..c00d08d50b
--- /dev/null
+++ b/testing/libspectre/APKBUILD
@@ -0,0 +1,56 @@
+# Contributor: Andrew Hills <ahills@ednos.net>
+# Contributor: Jean-Louis Fuchs <ganwell@fangorn.ch>
+# Maintainer: Jean-Louis Fuchs <ganwell@fangorn.ch>
+pkgname=libspectre
+pkgver=0.2.7
+pkgrel=0
+pkgdesc="A small library for rendering Postscript documents"
+url="http://www.freedesktop.org/wiki/Software/libspectre"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev ghostscript-dev doxygen"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://libspectre.freedesktop.org/releases/libspectre-$pkgver.tar.gz
+ ghostscript-api.patch"
+
+_builddir="$srcdir"/libspectre-$pkgver
+
+prepare() {
+ update_config_sub || return 1
+ default_prepare || return 1
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+ make doc
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+doc() {
+ mkdir -m 0755 -p "$subpkgdir"/usr/share/doc/libspectre || return 1
+ install -m 0644 "$_builddir"/doc/html/* "$subpkgdir"/usr/share/doc/libspectre/
+}
+
+md5sums="8f759c0e6cd88d68fc8149130fcbc3d3 libspectre-0.2.7.tar.gz
+43c860e4f8ca8690759440115570b738 ghostscript-api.patch"
+sha256sums="e81b822a106beed14cf0fec70f1b890c690c2ffa150fa2eee41dc26518a6c3ec libspectre-0.2.7.tar.gz
+1b5ad9d94ddd6cd3febfc6d559cbf329b4c57a841821df024cccf93ae3cb8159 ghostscript-api.patch"
+sha512sums="2e60905f7eeed9ac6ec3b5f8b47a7dad85178c8c35a63ba097ef6088dd334f7fde5797ecb05cf67532b759d07a65006427914d2cd6b09107ecc90620c9541794 libspectre-0.2.7.tar.gz
+d54a2dd2b03de9bcdf012e3cb429d7f882f38dc0c66c5253271fbec0e0917f41fce06e33a383fdd6989ad8e83d6ff2d85cce194b7aa97212564ae56ebbda7c4c ghostscript-api.patch"